<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(TRUE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$desc = str_majuscules(strip_tags(str_escape(trim(@$_POST["desc"]))));

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche Fonction
	case "add" :
		$rech = "SELECT * FROM " .TBFONC. " WHERE fonc_code = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rs = mysql_query("INSERT INTO " .TBFONC. "(fonc_code,fonc_desc,fonc_delok) VALUES ('$code','$desc','1')") or die(mysql_error());
			$msg = $txt_fiche_add;
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
		break;

	// Modification de la fiche Fonction
	case "edit" :
		$rech = "UPDATE `" .TBFONC. "` SET `fonc_desc`='".$desc."' WHERE `fonc_code` = '".$code."'";
		$rs = mysql_query($rech) or die(mysql_error());
		$msg = $txt_fiche_mod;
		break;
	
	// Suppression de la fiche Fonction
	case "del" :
		$ok_del = TRUE;
		$msg="";
	
		// Vérifie si utilisé dans une fiche contact marque
		$rexist = "SELECT * FROM `" .TBCMQUE. "` WHERE `cmque_codefonc` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg == "")
				$msg = $txt_fonc_used_mque;
			$ok_del= FALSE;
			$retourliste = FALSE;
		}
	
		// Vérifie si utilisé dans une fiche contact agence
		$rexist = "SELECT * FROM `" .TBCCAGE. "` WHERE `cage_codefonc` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg == "")
				$msg = $txt_fonc_used_cage;
			else
				$msg.= "<br />".$txt_fonc_used_cage;
			$ok_del= FALSE;
			$retourliste = FALSE;
		}
	
		// Vérifie si utilisé dans une fiche contact client
		$rexist = "SELECT * FROM `" .TBCCLI. "` WHERE `ccli_codefonc` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg == "")
				$msg = $txt_fonc_used_ccli;
			else
				$msg.= "<br />".$txt_fonc_used_ccli;
			$ok_del= FALSE;
			$retourliste = FALSE;
		}
	
		// Vérifie si utilisé dans une fiche contact donneur d'ordres
		$rexist = "SELECT * FROM `" .TBCDO. "` WHERE `cdo_codefonc` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg == "")
				$msg = $txt_fonc_used_cdo;
			else
				$msg.= "<br />".$txt_fonc_used_cdo;
			$ok_del= FALSE;
			$retourliste = FALSE;
		}
	
		// Vérifie si utilisé dans une fiche contact sous-traitant
		$rexist = "SELECT * FROM `" .TBCST. "` WHERE `cst_codefonc` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg == "")
				$msg = $txt_fonc_used_cst;
			else
				$msg.= "<br />".$txt_fonc_used_cst;
			$ok_del= FALSE;
			$retourliste = FALSE;
		}
	
		if  ($ok_del == TRUE)
		{
			// Vérifie si on peut supprimer cette Fonction
			$rexist = "SELECT * FROM `" .TBFONC. "` WHERE `fonc_code` = '$code' AND `fonc_delok` = '1'";
			$rs = mysql_query($rexist) or die(mysql_error());
			
			if (mysql_num_rows($rs) <> 0)
			{
				// SUPPRESSION de la fiche Fonction
				$rech = "DELETE FROM `" .TBFONC. "` WHERE `fonc_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
	
				$msg = $txt_fiche_del;
			}
			else
			{
				$msg = $txt_fiche_delnotok;
				$retourliste = FALSE;
			}
		}
		break;
	default :
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : <?PHP echo $title_fonc_maj; ?></title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
</body>

<?php 
include_once("../inc/entete.inc.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>
<?PHP 
if ($retourliste == FALSE)
	aff_ret_idx_man($td,"fonc_lst.php",$txt_lnk_ret_liste,TRUE);
else
	aff_ret_lst_auto("fonc_lst.php",2000);
include_once("pied.php");
?>
